@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;700&display=swap');

:root {
  --orange10: #fff5eb;
  --orange20: #fee6ce;
  --orange30: #fdd0a2;
  --orange40: #fdae6b;
  --orange50: #fd8d3c;
  --orange60: #f16913;
  --orange70: #d94801;
  --orange80: #a63603;
  --orange90: #7f2704;
  --wb0: #ffffff;
  --wb10: #f0f0f0;
  --wb20: #d9d9d9;
  --wb30: #bdbdbd;
  --wb40: #969696;
  --wb50: #737373;
  --wb60: #525252;
  --wb80: #252525;
  --wb100: #000000;
}

* {
  font-family: 'Noto Sans JP', sans-serif;
  color: var(--wb80);
}

html {
  height: 100%;
}

.shadowed {
  box-shadow: 0px 0px 8px 0px var(--wb60);
}


body {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 64px calc(100% - 64px);
  grid-column-gap: 24px;
  grid-template-areas: 
    'nav'
    'content';
  margin: 0px;
  height: 100%;
  width: 100%;
}

.nav {
  background-color: var(--orange30);
  grid-area: nav;
  display: flex;
  padding-left: 24px;
  padding-right: 24px;
  z-index: 1;
}

.nav .links {
  max-width: min(1200px, calc(100% - 48px));
  margin: auto;
}

.links .link:not(:last-child) {
  margin-right: 12px;
}

.link {
  text-decoration: none;
  color: var(--orange90);
}

.link:hover {
  text-decoration: underline!important;
}


.link {
  display: inline-block;
  
  font-size: 0.875em;
  line-height: 1.25rem;
  font-weight: 700;

  box-sizing: border-box;
  border-top-width: 2px;
  border-top-style: solid;
  border-top-color: transparent;
  border-bottom-width: 2px;
  border-bottom-style: solid;
  border-bottom-color: transparent;
  padding: 20px 4px 20px;
  transition: border-bottom-color 0.5s;
}
.nav .links .link:hover, .nav .links .link.active {
  border-bottom-color: var(--orange90)!important;
  text-decoration: none!important;
}

.link.inline {
  display: inline;
  font-size: 1em;
  line-height: 1.5rem;
  font-weight: 400;
  border: none;
  padding: 0px;
}

.content {
  grid-area: content;
  background-color: var(--orange10);
  display: grid;
  grid-template-rows: 1fr auto;
  grid-template-areas: 
    'box'
    'footer';
  overflow: auto;
}

.content .box {
  grid-area: box;
}

.footer {
  grid-area: footer;
  padding: 80px 0px 48px;
}

.box {
  padding: 0px max(24px, calc(50% - 600px));
}

pre {
  font-family: monospace;
  font-size: 1em;
  line-height: 1.5rem;
  
  color: var(--orange50);
  background-color: var(--wb100);

  border-radius: 8px;
  padding: 16px;
  
  white-space: pre-wrap;
  white-space: -moz-pre-wrap;
  white-space: -pre-wrap;
  white-space: -o-pre-wrap;
  word-break: break-word;
}

.socialmedia {
  display: flex;
  justify-content: center;
}


.socialmedia a {
  display: inline-block;
  height: 32px;
  width: 32px;
  margin: 0px 4px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.twitter {
  background-image: url(../img/twitter.png);
}

.linkedin {
  background-image: url(../img/linkedin.png);
}

.grid {
  display: flex;
  flex-wrap: wrap;
  margin: -16px;
}

.grid > * {
  padding: 16px;
}

.factoids {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 16px;
  flex: 1;
  min-width: min(100%, 280px);
}

.info {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: flex-start;
}

.info > :first-child {
  flex: 0 0 132px;
}

.info > :last-child {
  flex: 1;
  min-width: 240px;
}

.bold {
  font-weight: 700;
}

ul {
  margin: 0;
  padding-left: 1.5em;
}

ul > li:not(:first-child) {
  margin-top: 0.5em;
}

.haircut {
  height: 1px;
  background-color: var(--wb30); 
}

.photo {
  flex: 0 0 272px;
  margin: 0px auto;
}

.photo img {
  width: 100%;
  max-height: 300;
  max-width: 300px;
}

.copyright {
  text-align: center;
  margin-top: 24px;
  font-size: 0.75em;
  line-height: 1.25rem;
}

.gallery {
  margin: 48px 0px;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(180px,1fr));
  grid-gap: 16px;
}
.gallery img {
 width: 100%;
  max-height: 100%;
  object-fit: cover;
}
.gallery figure {
  width: 100%;
  margin: 0px;
  display: flex;
  align-items: center;
  background-color: var(--orange20);
}
.gallery figure a {
  display: flex;
  align-items: center;
}
.gallery figcaption {
  display: none;
}